package org.bench4q.agent.plugin.basic;

public abstract class PluginReturn {
	private int successCount;
	private int failCount;

	public int getSuccessCount() {
		return successCount;
	}

	private void setSuccessCount(int successCount) {
		this.successCount = successCount;
	}

	public int getFailCount() {
		return failCount;
	}

	private void setFailCount(int failCount) {
		this.failCount = failCount;
	}

	public PluginReturn(boolean success) {
		this.setSuccessCount(success ? 1 : 0);
		this.setFailCount(success ? 0 : 1);
	}

	public PluginReturn(int successCount, int failCount) {
		this.setSuccessCount(successCount);
		this.setFailCount(failCount);
	}

}
